summaryrefslogtreecommitdiff
path: root/tests/cvs-single-commit.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cvs-single-commit.script')
-rwxr-xr-xtests/cvs-single-commit.script43
1 files changed, 43 insertions, 0 deletions
diff --git a/tests/cvs-single-commit.script b/tests/cvs-single-commit.script
new file mode 100755
index 0000000..cc43000
--- /dev/null
+++ b/tests/cvs-single-commit.script
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# Tests converting a simple CVS repository to git.
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -e
+
+
+logfile="$DATADIR/cvs-test-repo.log"
+workdir="$DATADIR/work-dir"
+
+# ./lorry --pull-only --log="$logfile" --working-area="$workdir" \
+# "$DATADIR/cvs-test-repo.lorry" # > /dev/null 2> /dev/null
+#
+# #export GIT_DIR="$workdir/cvs-test-repo/git/.git"
+# cd "$workdir/cvs-test-repo/git/"
+#
+# # list the branches
+# git show-ref | cut -d' ' -f2
+#
+# # cat the test file
+# git cat-file blob trunk:test.txt
+#
+# # check out the trunk branch
+# git checkout --quiet trunk
+#
+# # list the commit messages
+# git log --pretty='%s'